Bug 18863 - Replaced DLL, still getting "Could not load file or assembly"
Summary: Replaced DLL, still getting "Could not load file or assembly"
Status: RESOLVED ANSWERED
Alias: None
Product: Android
Classification: Xamarin
Component: MSBuild (show other bugs)
Version: 4.13.x
Hardware: PC Mac OS
: Normal normal
Target Milestone: ---
Assignee: Jonathan Pryor
URL:
Depends on:
Blocks:
 
Reported: 2014-04-08 13:15 UTC by Paul Hart
Modified: 2017-06-28 19:20 UTC (History)
2 users (show)

Tags: bb
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED ANSWERED

Description Paul Hart 2014-04-08 13:15:32 UTC
I have been working on a binding for Omniture analytics. I had an old binding named "App.Android.Bindings.Omniture.dll" and now it's called "App.Android.Bindings.AdobeMobileLibrary.dll". I updated the code to work with this new SDK. There are no code errors, I just get the following error at the end of build attempt:

/Library/Frameworks/Mono.framework/External/xbuild/Xamarin/Android/Xamarin.Android.Common.targets: Error: Error executing task ResolveAssemblyReference: Could not load file or assembly '/Users/.../App.Android/bin/Release/App.Android.Bindings.Omniture.dll' or one of its dependencies. The system cannot find the file specified. (App.Android)

Note for public purposes I renamed the name of our app to "App". 

The Omniture.dll is not listed in the References folder or in the code. I have ran clean and uninstalled the last build from my device. 

How can I clean the targets?
Comment 1 Atsushi Eno 2014-04-08 20:07:23 UTC
We are not sure why the problem happens, but as a workaround, have you tried removing "bin" and "obj" directories on the project directory where the build is broken?
Comment 2 Paul Hart 2014-04-15 14:57:23 UTC
Yes, that fixed it thanks.
Comment 3 Tom Opgenorth 2017-06-28 19:20:23 UTC
Seems Atsushi's comment (https://bugzilla.xamarin.com/show_bug.cgi?id=18863#c1) has addressed the issue.